rte_cman.h(3)

NAME
rte_cman.h

SYNOPSIS

#include <rte_bitops.h>

  Data Structures

struct rte_cman_red_params

  Enumerations

enum rte_cman_mode { RTE_CMAN_RED = RTE_BIT32(0) }

Detailed Description

Congestion management related parameters for DPDK.

Definition in file rte_cman.h.

Enumeration Type Documentation

  enum rte_cman_mode
Congestion management modes

Enumerator

RTE_CMAN_RED
    Congestion based on Random Early Detection.

https://en.wikipedia.org/wiki/Random_early_detection http://www.aciri.org/floyd/papers/red/red.html

See also
    struct rte_cman_red_params

Definition at line 16 of file rte_cman.h.

Author

Generated automatically by Doxygen for DPDK from the source code.